diff -urNX /home/leigh/.diffex linuxppc_2_4_devel-dup/drivers/net/3c509.c linuxppc_2_4_devel-local/drivers/net/3c509.c
--- linuxppc_2_4_devel-dup/drivers/net/3c509.c	Sat Sep  7 00:58:53 2002
+++ linuxppc_2_4_devel-local/drivers/net/3c509.c	Mon Sep  9 18:03:22 2002
@@ -694,7 +694,7 @@
 	outw(0x00, ioaddr + TX_FIFO);
 	/* ... and the packet rounded to a doubleword. */
 #ifdef  __powerpc__
-	outsl_unswapped(ioaddr + TX_FIFO, skb->data, (skb->len + 3) >> 2);
+	outsl_ns(ioaddr + TX_FIFO, skb->data, (skb->len + 3) >> 2);
 #else
 	outsl(ioaddr + TX_FIFO, skb->data, (skb->len + 3) >> 2);
 #endif
@@ -905,7 +905,7 @@
 
 				/* 'skb->data' points to the start of sk_buff data area. */
 #ifdef  __powerpc__
-				insl_unswapped(ioaddr+RX_FIFO, skb_put(skb,pkt_len),
+				insl_ns(ioaddr+RX_FIFO, skb_put(skb,pkt_len),
 							   (pkt_len + 3) >> 2);
 #else
 				insl(ioaddr + RX_FIFO, skb_put(skb,pkt_len),
diff -urNX /home/leigh/.diffex linuxppc_2_4_devel-dup/include/asm-ppc/io.h linuxppc_2_4_devel-local/include/asm-ppc/io.h
--- linuxppc_2_4_devel-dup/include/asm-ppc/io.h	Mon Sep  9 10:25:32 2002
+++ linuxppc_2_4_devel-local/include/asm-ppc/io.h	Mon Sep  9 17:33:54 2002
@@ -231,6 +231,22 @@
 #endif
 
 /*
+ * XXX ISA functions - NOT to be forward ported to 2.5
+ */
+#define isa_readb(addr)		 __raw_readb(_ISA_MEM_BASE + (addr))
+#define isa_readw(addr)		 __raw_readw(_ISA_MEM_BASE + (addr))
+#define isa_readl(addr)		 __raw_readl(_ISA_MEM_BASE + (addr))
+#define isa_writeb(b, addr)	 writeb(b, _ISA_MEM_BASE + (addr))
+#define isa_writew(w, addr)	 writew(w, _ISA_MEM_BASE + (addr))
+#define isa_writel(l, addr)	 writel(l, _ISA_MEM_BASE + (addr))
+#define isa_memset_io(a,b,c)	 memset_io(_IO_BASE + (a), (b), (c))
+#define isa_memcpy_fromio(a,b,c) memcpy_fromio((a), _IO_BASE + (b), (c))
+#define isa_memcpy_toio(a,b,c)	 memcpy_toio(_IO_BASE + (a), (b), (c))
+
+#define eth_io_copy_and_sum(a,b,c,d)		eth_copy_and_sum((a),(b),(c),(d))
+#define isa_eth_io_copy_and_sum(a,b,c,d)	eth_copy_and_sum((a),(_IO_BASE + (b)),(c),(d))
+
+/*
  * Map in an area of physical address space, for accessing
  * I/O devices etc.
  */
